%define upstream_name    Proc-Simple
%define upstream_version 1.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Launch and control background processes
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The Proc::Simple package provides objects mimicing real-life processes
from a user's point of view.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/Proc

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.320.0-4.mga8
+ Revision: 1496960
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.320.0-3.mga7
+ Revision: 1270882
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.320.0-2.mga6
+ Revision: 1032706
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.320.0-1.mga6
+ Revision: 923914
- update to 1.32

* Wed Oct 15 2014 umeabot <umeabot> 1.310.0-4.mga5
+ Revision: 748470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.310.0-3.mga5
+ Revision: 686062
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.310.0-2.mga4
+ Revision: 528778
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.310.0-1.mga4
+ Revision: 447222
- update to 1.31

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 372148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.30
+ kharec <kharec>
- update to 1.29

* Mon Jun 27 2011 jquelin <jquelin> 1.280.0-1.mga2
+ Revision: 114627
- update to 1.28

* Sat Jan 22 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 31064
- mageia rebuild
- imported package perl-Proc-Simple


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.270.0-1mdv2011.0
+ Revision: 596011
- update to new version 1.27

* Fri Jul 10 2009 Jérôme Quelin <jquelin@mandriva.org> 1.260.0-1mdv2010.0
+ Revision: 394274
- tarball has been fixed, removing hack
- update to 1.26

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.250.0-1mdv2010.0
+ Revision: 393145
- update to 1.25
- using %%perl_convert_version

* Fri Mar 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.1
+ Revision: 359078
- update to new version 1.24

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.0
+ Revision: 230279
- update to new version 1.23

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.0
+ Revision: 52526
- update to new version 1.22


* Sun Apr 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdk
- contributed by Kyle Yencer <kyle@yencer.net>

